SystemOrganization addCategory: #'TP Integrador Test'!

TestCase subclass: #TPIntegradorTest
	instanceVariableNames: 'pikachu jigglypuff meganium impactrueno amago golpazo descanso canto danzaPetalo sintesis hojaAfilada placaje destructor movimientosPikachu movimientosJigglypuff movimientosMeganium movimientos unaPokebola unEntrenador ash unaMedicina unaMedicinaEspecial moneda error magikarp movimientosMagikarp salpicar togepi movimientosTogepi respirar misty descansoPikachu'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP Integrador Test'!

TPIntegradorTest class
	instanceVariableNames: 'placaje'!

TPIntegradorTest class
	instanceVariableNames: 'placaje'!

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'juan 11/19/2013 21:29'!
setUp
pikachu:=Pokemon new.
pikachu esDeAlguien:SinEntrenador new.
jigglypuff:=Pokemon new.
jigglypuff esDeAlguien:ConEntrenador new.
jigglypuff esDeAlguien tuNuevoEntrenadorEs:ash.
meganium:=Pokemon new.
meganium esDeAlguien:ConEntrenador new.
meganium esDeAlguien tuNuevoEntrenadorEs:misty. 
magikarp:=Pokemon new.
magikarp esDeAlguien:ConEntrenador new.
togepi:=Pokemon new.
togepi esDeAlguien:ConEntrenador new.
ash:= Entrenador new.
misty:=Entrenador new.


impactrueno:= MovimientoEspecial new.
impactrueno condicionEnLaQueVaAQuedar:Paralizado.
canto:=MovimientoEspecial new.
canto condicionEnLaQueVaAQuedar:Dormido.
danzaPetalo:=MovimientoEspecial new.
danzaPetalo condicionEnLaQueVaAQuedar: Confundido.
amago:=MovimientoDanino new. 
amago puntosDeDao:30. 
golpazo:=MovimientoDanino new.
golpazo puntosDeDao:80.
destructor:=MovimientoDanino new.
destructor puntosDeDao:30.
hojaAfilada:=MovimientoDanino new.
hojaAfilada puntosDeDao:55.
placaje:=MovimientoDanino new.
placaje puntosDeDao:50.
salpicar:=MovimientoDanino new.
salpicar puntosDeDao:1. 
respirar:=MovimientoDanino new.
respirar puntosDeDao:0. 
sintesis:=MovimientoCurativo new.
sintesis puntosACurar:100.
descanso:=MovimientoCurativo new.
descanso puntosACurar:50.

pikachu tusPuntosDeVidaMax:80.
pikachu tusPuntosDeVida:60.
impactrueno usosDisponibles:5.
(pikachu movimientos) add:impactrueno.
amago usosDisponibles:10.
(pikachu movimientos)add:amago.
golpazo usosDisponibles:1. 
(pikachu movimientos)add:golpazo.
descansoPikachu:=MovimientoCurativo new.
descansoPikachu puntosACurar:50. 
descansoPikachu usosDisponibles:1. 
(pikachu movimientos) add:descanso.

jigglypuff tusPuntosDeVidaMax:100.
jigglypuff tusPuntosDeVida:30.
canto usosDisponibles:2.
(jigglypuff movimientos) add:canto. 
descanso usosDisponibles:5.
(jigglypuff movimientos) add:descanso.
destructor usosDisponibles:10.
(jigglypuff movimientos) add:destructor. 

meganium tusPuntosDeVidaMax: 250.
meganium tusPuntosDeVida:50.
danzaPetalo usosDisponibles:3.
(meganium movimientos) add:danzaPetalo. 
sintesis usosDisponibles:4.
(meganium movimientos) add:sintesis.
hojaAfilada usosDisponibles:0.
(meganium movimientos) add:hojaAfilada.
placaje usosDisponibles:5.
(meganium movimientos) add:placaje. 

magikarp tusPuntosDeVidaMax:10.
magikarp tusPuntosDeVida:10.
salpicar usosDisponibles:10. 
(magikarp movimientos) add:salpicar. 

togepi tusPuntosDeVidaMax:10.
togepi tusPuntosDeVida:10.
respirar usosDisponibles:1000.
(togepi movimientos) add:respirar.

pikachu experiencia:42050.
jigglypuff experiencia:403289.
meganium experiencia:1010042.
magikarp experiencia:10.
togepi experiencia:0. 

unaMedicina:=Medicina new.
unaMedicina cantidadQueCura:40. 

unaPokebola:=Pokebola new.
unaMedicinaEspecial:=MedicinaEspecial new. 

moneda := MonedaTrucha new.
Moneda instance: moneda.







  










! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'juan 11/15/2013 18:35'!
testJigglyPuffCon0DeVidaNoPuedeLuchar
jigglypuff tusPuntosDeVida:0.
self assert:jigglypuff estasVivo equals:false. 
! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 11/18/2013 21:30'!
testJigglyPuffDuermeAPikachu
jigglypuff luchaCon:canto contra:pikachu. 
self assert: (pikachu condicion)equals: Dormido. ! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/26/2013 20:50'!
testJigglyPuffTiene960DeGrositud.
self assert: jigglypuff cuantaGrositudTenes equals:960.! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'juan 11/19/2013 23:13'!
testJigglypuffConfundidoNoSePuedeMoverYUsaDescanso
jigglypuff condicion:Confundido new. 
self deny: jigglypuff noEstasAfectadoPorUnaCondicion. 
moneda resultadosEsperados: #(false).
self should: [jigglypuff luchaCon:descanso contra:jigglypuff] raise: ErrorConfundido signal.  
self assert: jigglypuff tusPuntosDeVida equals:0.
self assert: (jigglypuff condicion) equals:Confundido. 
! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'juan 11/19/2013 22:16'!
testJigglypuffConfundidoSePuedeMoverYUsaDescanso
jigglypuff condicion:Confundido new. 
self deny: jigglypuff noEstasAfectadoPorUnaCondicion. 
moneda resultadosEsperados: #(true).
jigglypuff luchaCon:descanso  contra:jigglypuff.
self assert: jigglypuff tusPuntosDeVida equals:80.
self assert: (jigglypuff condicion) equals:Confundido. 

! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'juan 11/19/2013 23:02'!
testJigglypuffDormidoNoSePuedeMoverYUsaDescanso
|vidaAlInicio|
vidaAlInicio:=jigglypuff tusPuntosDeVida. 
jigglypuff condicion:Dormido new. 
self deny: jigglypuff noEstasAfectadoPorUnaCondicion. 
moneda resultadosEsperados: #(false).
self should:[jigglypuff luchaCon:descanso contra:pikachu] raise: ErrorDormido signal. 
! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'juan 11/19/2013 22:16'!
testJigglypuffDormidoSePuedeMoverYUsaDescanso
jigglypuff condicion:Dormido new. 
self deny: jigglypuff noEstasAfectadoPorUnaCondicion. 
moneda resultadosEsperados: #(true).
jigglypuff luchaCon:descanso  contra:pikachu.
self assert: jigglypuff tusPuntosDeVida equals:80.
self assert: (jigglypuff condicion) equals:Normal. 

! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/28/2013 00:19'!
testJigglypuffEsNivel6
self assert: jigglypuff nivel equals:6. ! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'juan 11/19/2013 23:04'!
testJigglypuffParalizadoNoSePuedeMoverYUsaDescanso
|vidaAlInicio|
vidaAlInicio:=jigglypuff tusPuntosDeVida. 
jigglypuff condicion:Paralizado new. 
self deny: jigglypuff noEstasAfectadoPorUnaCondicion.  
moneda resultadosEsperados: #(false).
self should:[jigglypuff luchaCon:descanso contra:pikachu] raise: ErrorParalizado signal.! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'juan 11/19/2013 22:16'!
testJigglypuffParalizadoSePuedeMoverYUsaDescanso
jigglypuff condicion:Paralizado new. 
self deny: jigglypuff noEstasAfectadoPorUnaCondicion. 
moneda resultadosEsperados: #(true).
jigglypuff luchaCon:descanso  contra:pikachu.
self assert: jigglypuff tusPuntosDeVida equals:80.
self assert: (jigglypuff condicion) equals:Paralizado. 

! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 11/18/2013 20:16'!
testJigglypuffUsaDescansoContraPikachuCura50
|puntosIniciales|
puntosIniciales:=jigglypuff tusPuntosDeVida. 
jigglypuff luchaCon:descanso contra:pikachu.
self assert:jigglypuff tusPuntosDeVida equals:(puntosIniciales +50).! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/27/2013 20:47'!
testLeConvieneAPikachuUsarDescansoCon30
pikachu tusPuntosDeVida:30.
self assert: (descanso convieneQue:pikachu TeUseContra:pikachu). ! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/27/2013 20:24'!
testLeConvieneAPikachuUsarGolpazoYAmagoContraMeganium
self assert:(golpazo convieneQue:pikachu TeUseContra:meganium).
self assert:(amago convieneQue:pikachu TeUseContra:meganium).! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/28/2013 16:25'!
testLeConvieneAPikachuUsarImpactruenoContraMeganium
self assert: (impactrueno convieneQue:pikachu TeUseContra:meganium). ! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'juan 11/19/2013 21:29'!
testLeConvieneUsarDescansoAAshCon2PokemonesVivosPeroNoMasGrososQueJigglypuff
(magikarp esDeAlguien)tuNuevoEntrenadorEs:ash.
(togepi esDeAlguien) tuNuevoEntrenadorEs:ash.
(jigglypuff esDeAlguien) tuNuevoEntrenadorEs:ash.   

(jigglypuff esDeAlguien) tePuedenSacrificar ifFalse:[
self assert:(descanso convieneQue:jigglypuff TeUseContra:jigglypuff)]. ! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 11/18/2013 21:19'!
testLeConvieneUsarDescansoAAshNoTiene2PokemonesVivosAdemasDeJigglypuff
pikachu tusPuntosDeVida:0. 
unaPokebola aplicarEn:pikachu  yTelaTiro:ash.
(meganium esDeAlguien)tuNuevoEntrenadorEs:ash.
meganium tusPuntosDeVida:0.
(jigglypuff esDeAlguien)tuNuevoEntrenadorEs:ash.  

(jigglypuff esDeAlguien)tePuedenSacrificar ifFalse:[
self assert:(descanso convieneQue:jigglypuff TeUseContra:jigglypuff)]. ! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/26/2013 19:52'!
testMeganiumEsNivel7
self assert:meganium nivel equals:7. ! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/26/2013 20:50'!
testMeganiumTiene2450DeGrositud
self assert: meganium cuantaGrositudTenes equals:2450. ! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/28/2013 00:11'!
testMeganiumUsaDanzaPetaloContraJigglypuffQuedaConfundido
meganium luchaCon:danzaPetalo contra:jigglypuff.
self assert:(jigglypuff condicion) equals:Confundido.  ! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/27/2013 18:56'!
testMovimientosDisponiblesMeganium
|disponibles|
disponibles:=Set new. 
disponibles add:danzaPetalo.
disponibles add:sintesis.
disponibles add:placaje.

self assert: meganium movimientosDisponibles equals:disponibles.! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/27/2013 20:47'!
testNoLeConvieneAPikachuUsarDescanso
self deny: (descanso convieneQue:pikachu TeUseContra:pikachu).! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/27/2013 19:23'!
testNoLeConvieneAPikachuUsarGolpazoContraJigglypuff
self deny: (golpazo convieneQue:pikachu TeUseContra:jigglypuff).! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/28/2013 00:01'!
testNoLeConvieneAPikachuUsarImpactruenoContraJigglypuff
self deny:(impactrueno convieneQue:pikachu TeUseContra:jigglypuff). ! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/28/2013 20:05'!
testNoLeConvieneAPikachuUsarImpactruenoContraMeganiumSiEsteNoEstaNormal
meganium condicion:Dormido. "Elijo una condicion distinta de normal para probar"
self deny: (impactrueno convieneQue:pikachu TeUseContra:meganium). ! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 11/19/2013 22:37'!
testNoLeConvieneUsarDescansoAAshTiene2PokemonesVivosYMasGrososQueJigglypuff
pikachu tusPuntosDeVida:1. 
unaPokebola aplicarEn:pikachu  yTelaTiro:ash.
meganium tuNuevoEntrenadorEs:ash.
jigglypuff tuNuevoEntrenadorEs:ash. 

self deny:(descanso convieneQue:jigglypuff TeUseContra:pikachu).! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/28/2013 16:44'!
testPikachuDerrotaAJigglypuff
pikachu luchaCon:placaje  contra:jigglypuff. 
meganium luchaCon:placaje contra:jigglypuff.
jigglypuff premiaALosGanadores. 
self assert:pikachu experiencia equals:42530. ! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/26/2013 19:52'!
testPikachuEsNivel4
self assert: pikachu nivel equals:4.! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/26/2013 20:51'!
testPikachuTiene1200DeGrositud.
self assert: pikachu cuantaGrositudTenes equals:1200.! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/27/2013 19:01'!
testPikachuUsaGolpazoContraJigglyPuffQuedaNoDisponible
pikachu luchaCon:golpazo contra:jigglypuff.
self assert:golpazo estasDisponible equals:false.  ! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/27/2013 19:01'!
testPikachuUsaGolpazoContraJigglyPuffSeMuere
pikachu luchaCon:golpazo contra:jigglypuff.
self assert:jigglypuff tusPuntosDeVida equals:0.! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'juan 11/19/2013 22:17'!
testPikachuUsaImpactruenoContraJigglypuffQuedaParalizado
pikachu luchaCon:impactrueno contra:jigglypuff.
self assert:(jigglypuff condicion) equals:Paralizado.  ! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/26/2013 22:10'!
testUsarMedicinaConJiglypuffQuedaEn70
unaMedicina aplicarEn:jigglypuff. 
self assert:jigglypuff tusPuntosDeVida equals:70. ! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 11/18/2013 20:19'!
testUsarMedicinaConPikachuQuedaIgualAMaxHP
unaMedicina aplicarEn:pikachu.
self assert:pikachu tusPuntosDeVida equals:pikachu tusPuntosDeVidaMax. ! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 11/18/2013 20:40'!
testUsarMedicinaEspecialEnJigglypoffQuedaNormal
jigglypuff condicion:Dormido. 
unaMedicinaEspecial aplicarEn:jigglypuff.
self assert:(jigglypuff condicion)class equals:Normal. ! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 11/18/2013 20:34'!
testUsarPokebolaConJiglypuffError
self should:[unaPokebola aplicarEn:jigglypuff yTelaTiro:unEntrenador] raise:EstePokemonYaTieneDuenioError.! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 11/18/2013 20:29'!
testUsarPokebolaConPikachuEn40
pikachu tusPuntosDeVida:40.
unaPokebola aplicarEn:pikachu yTelaTiro:ash. 
self assert: (pikachu esDeAlguien)entrenador equals:ash. ! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 11/18/2013 20:28'!
testUsarPokebolaConPikachuError 
self should:[unaPokebola aplicarEn:pikachu yTelaTiro:unEntrenador]raise:EstePokemonYaTieneDuenioError! !
